> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Embedded Signup

> WhatsApp embedded signup flow for channel onboarding.

## Initiate embedded signup

`POST /api/whatsapp/embedded-signup`

Use the WhatsApp embedded signup flow to onboard new WhatsApp Business channels.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

**code** `string` *required*

Authorization code from Facebook login

**configurationId** `string` *required*

WhatsApp configuration ID

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/whatsapp/embedded-signup \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{
    "code": "AUTH_CODE",
    "configurationId": "123456"
  }'
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "channelId": 3,
    "phoneNumberId": "9876543210",
    "wabaId": "5678901234",
    "status": "connected"
  }
}
```

***

## Embedded signup configuration

### Get config

`GET /api/embedded/config`

### Create/update config

`POST /api/embedded/config`

```json theme={null}
{
  "appId": "1234567890",
  "appSecret": "abc123...",
  "businessId": "9876543210",
  "configurationId": "CONFIG_123"
}
```

### Delete config

`DELETE /api/embedded/config`

***

## Test credentials

`GET /api/whatsapp/test-credentials`

Verify WhatsApp API credentials are valid.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.